NisusWrtTextInternal::Font Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
NisusWrtTextInternal::Font Struct Reference

Internal: the fonts and many other data. More...

## Public Member Functions
| Font ()
| the constructor More...
bool | isVariable () const

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_pictureId
| the picture id ( if this is for a picture ) More...
int | m_pictureWidth
| the picture width More...
int | m_markId
| a mark id More...
int | m_variableId
| the variable id : in fact cst[unkn] + v_id More...
int | m_format
| the main format ... More...
int | m_format2
| a series of flags More...
MWAWBox2i | m_pictureDim [2]
| two picture dim ( orig && file ?) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: the fonts and many other data.

## Constructor & Destructor Documentation

## ◆ Font()

NisusWrtTextInternal::Font::Font | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## ◆ isVariable()

bool NisusWrtTextInternal::Font::isVariable | ( |  | ) | const
| inline

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |
| friend

operator<<

Referenced by NisusWrtTextInternal::DataPLC::DataPLC(), NisusWrtTextInternal::Footnote::getTextLabel(), NisusWrtTextInternal::HeaderFooter::HeaderFooter(), isVariable(), and NisusWrtTextInternal::PicturePara::PicturePara().

## Member Data Documentation

## ◆ m_extra

std::string NisusWrtTextInternal::Font::m_extra

extra data

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

## ◆ m_font

MWAWFont NisusWrtTextInternal::Font::m_font

the font

Referenced by NisusWrtText::readFonts(), and NisusWrtText::sendText().

## ◆ m_format

int NisusWrtTextInternal::Font::m_format

the main format ...

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

## ◆ m_format2

int NisusWrtTextInternal::Font::m_format2

a series of flags

Referenced by isVariable(), NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

## ◆ m_markId

int NisusWrtTextInternal::Font::m_markId

a mark id

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

## ◆ m_pictureDim

MWAWBox2i NisusWrtTextInternal::Font::m_pictureDim[2]

two picture dim ( orig && file ?)

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFonts(), and NisusWrtText::sendText().

## ◆ m_pictureId

int NisusWrtTextInternal::Font::m_pictureId

the picture id ( if this is for a picture )

Referenced by NisusWrtTextInternal::operator<<(), NisusWrtText::readFonts(), and NisusWrtText::sendText().

## ◆ m_pictureWidth

int NisusWrtTextInternal::Font::m_pictureWidth

the picture width

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

## ◆ m_variableId

int NisusWrtTextInternal::Font::m_variableId

the variable id : in fact cst[unkn] + v_id

Referenced by NisusWrtTextInternal::operator<<(), and NisusWrtText::readFonts().

The documentation for this struct was generated from the following file:

- NisusWrtText.cxx